From 1f6cb42bd8edfee3f1770cb760ccb8b6ee9429ee Mon Sep 17 00:00:00 2001
From: Mark Dilger <mark.dilger@enterprisedb.com>
Date: Fri, 12 Mar 2021 20:33:16 -0800
Subject: [PATCH v4] pg_amcheck: Keep trying to fix the tests.

Fix another example of non-portable option ordering in the tests.
---
 src/bin/pg_amcheck/t/003_check.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/bin/pg_amcheck/t/003_check.pl b/src/bin/pg_amcheck/t/003_check.pl
index 0a7795bb64..54b2b86a49 100644
--- a/src/bin/pg_amcheck/t/003_check.pl
+++ b/src/bin/pg_amcheck/t/003_check.pl
@@ -468,7 +468,7 @@ command_fails_like(
 	'pg_amcheck rejects garbage startblock');
 
 command_fails_like(
-	[ @cmd, 'db1', '-s', 's5', '--endblock', '1234junk' ],
+	[ @cmd, '-s', 's5', '--endblock', '1234junk', 'db1' ],
 	qr/invalid end block/,
 	'pg_amcheck rejects garbage endblock');
 
-- 
2.21.1 (Apple Git-122.3)

